Bug 1737272

Summary: python-django-appconf fails to build without python3-test
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-django-appconfAssignee: Matthias Runge <mrunge>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 31CC: lbalhar, mrunge
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-django-appconf-1.0.3-1.fc32 python-django-appconf-1.0.3-1.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-05 07:28:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1700317, 1686977, 1728780    

Description Miro Hrončok 2019-08-04 22:41:58 UTC
python-django-appconf fails to build:

======================================================================
ERROR: test (unittest.loader._FailedTest)
----------------------------------------------------------------------
ImportError: Failed to import test module: test
Traceback (most recent call last):
  File "/usr/lib64/python3.8/unittest/loader.py", line 154, in loadTestsFromName
    module = __import__(module_name)
ModuleNotFoundError: No module named 'test'



This is related to https://fedoraproject.org/wiki/Changes/Move_test.support_module_to_python3-test_subpackage and blocks rebuild for https://fedoraproject.org/wiki/Changes/Python3.8

Comment 1 Lumír Balhar 2019-08-05 10:14:28 UTC
I've tried to prepare a simple PR which would just add python3-test as a build require but it seems that there is a different problem. I've tried to do two scratch builds and both of them failed in the %check phase:

> BUILDSTDERR: test_signals (test.test_threadsignals.ThreadSignals) ... /var/tmp/rpm-tmp.I79Aig: line 35:  3051 User defined signal 1   coverage3 run /usr/bin/python3-django-admin test -v2 test
> BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.I79Aig (%check)
> BUILDSTDERR:     Bad exit status from /var/tmp/rpm-tmp.I79Aig (%check)

Build log 1: https://kojipkgs.fedoraproject.org//work/tasks/3348/36803348/build.log
Build log 2: https://kojipkgs.fedoraproject.org//work/tasks/1388/36801388/build.log

Comment 2 Ben Cotton 2019-08-13 18:33:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Miro Hrončok 2019-08-14 22:24:18 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 4 Miro Hrončok 2019-08-21 16:34:32 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 5 Miro Hrončok 2019-08-21 17:29:06 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 6 Fedora Update System 2019-09-05 09:21:32 UTC
FEDORA-2019-d231cdd4fc has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d231cdd4fc

Comment 7 Fedora Update System 2019-09-05 10:52:17 UTC
python-django-appconf-1.0.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d231cdd4fc

Comment 8 Fedora Update System 2019-09-30 00:01:21 UTC
python-django-appconf-1.0.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.